<?
session_start();
require('../valtiempoinact.php');
require("conectar.php");
$nombre=$_GET['nombre'];
$apat=$_GET['apat'];
$amat=$_GET['amat'];
$conf=$_GET['comfr'];
$ts=$_GET['ts'];
$ms=$_GET['ms'];
$ct=$_GET['ct'];
$cc=$_GET['cc'];
$tp=$_GET['tp'];
$fi=$_GET['fini'];
$ff=$_GET['ffin'];
$personas=$_POST['nopersonas'];
$presupuesto=$_GET['presup'];
$usd=$_POST['usd'];
$mxn=$_POST['mxn'];
$nom=$nombre." ".$apat." ".$amat;  
$c=0;
if($fi=="" || $ff=="")
{
 ?>
    <script language='javascript'>
	   alert("Debe seleccionar una fecha de estancia"); 
	   window.close(); 
	</script>
 <?
}
if($ts!="ts" && $ms!="ms" && $ct!="ct" && $cc!="cc" && $tp!="tp")
{
 ?>
    <script language='javascript'>
	   alert("Debe seleccionar por lo menos una propiedad"); 
	   window.close(); 
	</script>
 <?
}
?> 
<script language="javascript">
function asignar(prop,clav,id,tot) 
  {
    opener.document.forma.deparprop.value=prop;
	opener.document.forma.clavedep.value=clav;
	opener.document.forma.iddep.value=id;
	opener.document.forma.monto.value=tot;
	close();
  }
</script> 
<?
				     
				 
				 
				/* if($propiedad=="-SELECCIONE OPCION-"){
				   echo "<script>alert('Debes Seleccionar Una Propiedad')
				         window.location.href='tarifas.php'
				         </script>";				 
				 }
				 
				 if($fi==$f2){
				   echo "<script>alert('Debes Escoger por lo menos una Noche')
				         window.location.href='tarifas.php'
				         </script>";				   
				 }*/
				 
				
				 /*$diai=substr($fi,0,2);
				 $mesi=substr($fi,3,3);
				 $añoi=substr($fi,7,2);
				 
				 $diaf=substr($ff,0,2);
				 $mesf=substr($ff,3,3);
				 $añof=substr($ff,7,2);*/
				 
				 $dent=substr($fi,8,2);
				 $ment=substr($fi,5,2);
				 $aent=substr($fi,0,4);
				 
				 $dsal=substr($ff,8,2);
				 $msal=substr($ff,5,2);
				 $asal=substr($ff,0,4);
				 
				 $diai=$dent;
				 $diaf=$dsal;
				 
				 
				 
				 
				 //echo "-".$diai.$mesi.$añoi."-";
				  $fechainicial=$fi;
				  $fechafinal=$ff;
				 
				 $fecha1=$diai."/".$ment."/".$aent;
				 $fecha2=$diaf."/".$msal."/".$asal;
				  

		      if($ts=="ts")
				{
				 $propiedad=1;
				 $sql1p="SELECT id_departamento FROM departamentos WHERE id_complejo = '$propiedad' ";
				 $ejesql1p=mysql_query($sql1p);
				 $j=0;
				 while($resejesql1p=mysql_fetch_array($ejesql1p)){
				    $dep1p[]=$resejesql1p[0];
					$j++;
				 }
				 //DESGLOSA RANGO DE FECHAS INTRODUCIDAS POR EL CLIENTE
					  $fechainiformcliente = $fechainicial;
					  $fechafinformcliente = $fechafinal;

					  for($i=$fechainiformcliente;$i<=$fechafinformcliente;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
					     $fecharangocliente[]=$i;
						 $dits++;
						}
						$y=0;
						$x=0;
						do{
						    $dep1p[$y];
							$totrentas=count($dep1p[$y]);
							$totdeprentas=$totdeprentas+$totrentas;
							$sqlocupado="SELECT count(id_departamento),dia_inicio,dia_salida FROM rentas WHERE id_departamento='$dep1p[$y]' group by id_departamento";
							$ejesqlocupado=mysql_query($sqlocupado);
							while($resejesqlocupado=mysql_fetch_array($ejesqlocupado)){
								 $resejesqlocupado[0].$resejesqlocupado[1].$resejesqlocupado[2];
								 $totdepartamentos=$resejesqlocupado[0];
								 $departamentos[]=$resejesqlocupado[0];
						        }
							$y++;
							$x++;
						}while($y<=$j || $x<=$i);
						 //TERMINA DESGLOSE RANGO DE FECHAS INTRODUCIDAS POR EL CLIENTE
						//echo $totdeprentas;
						for($y=0;$y<=$totdeprentas;$y++){
						    $sqldesg="SELECT id_departamento,dia_inicio,dia_salida FROM rentas WHERE id_departamento='$dep1p[$y]'";
							$ejesqldesg=mysql_query($sqldesg);
							$resejesqldesg=mysql_fetch_array($ejesqldesg);
							//$resejesqldesg[0].$resejesqldesg[1].$resejesqldesg[2];
							
							$fechamasuno=$resejesqldesg[1];
							$fechamenosuno=$resejesqldesg[2];
							

						     
								//salida: 04/02/2008
								//echo sumaDia('30/01/2008',-5);
								//salida: 25/01/2008
							
							//$ids[]=$resejesqldesg[0];
							$fechaunobd=date("Y-m-d",strtotime( "$fechamasuno +1 DAY"));
							$fechadosbd=date("Y-m-d",strtotime( "$fechamenosuno -1 DAY"));
							//$fechadosbd=$resejesqldesg[2];
							
							for($i=$fechaunobd;$i<=$fechadosbd;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
							    $fecharangobd[]=$i;
								$ids[]=$resejesqldesg[0];
								}
						   }
						   
						   
						   //CUENTA ARREGLOS
						   for($a=0;$a<=1460;$a++)
							   {
								$totidse=count($fecharangocliente[$a]);
								$totar1=$totar1 + $totidse;
								$totids=count($fecharangobd[$a]);
								$totar2=$totar2 + $totids; 
							   }
								$totar1;
								$totar2;

								if($totar1>$totar2)
								    $ta=$totar1;
								if($totar1<$totar2)
									$ta=$totar2;   
								if($totar1==$totar2)
									$ta=$totar1;

							    for($m=0;$m<$ta;$m++)
									{
									 for($n=0;$n<$ta;$n++){
										if(($fecharangocliente[$n]==$fecharangobd[$m])){
										   //echo $fecharangocliente[$n]."--".$fecharangobd[$m]."<br>";
										   $datoss[]=$ids[$m];
										   
									       $datos;
							               $ids[$m];
										   //echo "**".$fecharangocliente[$n]."**--".$fecharangobd[$m]."--<br>";
										   $sql="SELECT id_departamento,clave,rec,descripcion from departamentos where id_departamento='$ids[$m]' group by id_departamento";
										   $ejecutaconsulta=mysql_query($sql);
										   $reg=mysql_fetch_array($ejecutaconsulta);
										   //echo $reg[1];
										  }else{
										     $datoss[]=0;
										  }
										}
                                    }		
								
								$datoss = array_unique($datoss);
								foreach($datoss as $key => $value){
								          $idsrentados[]=$value;
									      $value;
										  $sql="SELECT d.id_departamento,d.clave,d.descripcion,d.foto,r.id_departamento,r.dia_inicio,r.dia_salida,c.nombre from departamentos d,rentas r,complejo c where d.id_departamento='$value' and d.id_departamento=r.id_departamento and d.id_complejo=c.id_complejo";
										  $ejecons=mysql_query($sql);
										  if($reg=mysql_num_rows($ejecons)>0){
										  $ressql=mysql_fetch_array($ejecons);
										  
										 if($_GET['lengua']=="espanol" or $_GET['lengua']=="") { echo "EL DEPARTAMENTO ".$ressql[7]." ".$ressql[1]." POR AHORA NO ESTA DISPONIBLE ESTA RENTADO DEL <br>".$ressql[5]." AL ".$ressql[6]."<br><hr>"; } else if($_GET['lengua']=="ingles") { echo "DEPARTMENT ".$ressql[7]." ".$ressql[1]." NOW IS NOT AVAILABLE FOR THIS INCOME <br>".$ressql[5]." TO ".$ressql[6]."<br><hr>"; } 
										  
										  
												}
											}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////											
											//consulta que cuenta el numero de departamentos de cada propiedad o complejo
											 $sql="select count(id_complejo) from departamentos where id_complejo = '$propiedad' group by id_complejo";
											 $ejesql=mysql_query($sql);
											 $totdepas=mysql_fetch_array($ejesql);
											 $totaldepas=$totdepas[0];
											 ////consulta que cuenta el numero de departamentos de cada propiedad o complejo que estan libres
											 $sqldeplibres="select count(id_complejo) from departamentos where id_complejo = '$propiedad' AND status='libre' group by id_complejo";
											 $ejesqldeplibres=mysql_query($sqldeplibres);
											 $totdepasdeplibres=mysql_fetch_array($ejesqldeplibres);
											 $totaldepasdeplibres=$totdepasdeplibres[0];
											 $diflibredesocupado=$totaldepas-$totaldepasdeplibres;
											 
											 //tarifa alta,media,baja,muy baja
											 $tarifa=round((($diflibredesocupado*100)/$totaldepas));
											 if($tarifa>=0 && $tarifa<=35){
											  $tabla="tarifa_muybaja";
											  // echo "muy baja";
											 }
											 if($tarifa>=36 && $tarifa<=60){
											  $tabla="tarifa_baja";
											 //  echo "baja";
											 }
											 if($tarifa>=61 && $tarifa<=85){
											  $tabla="tarifa_media";
											  // echo "media";
											 }
											 if($tarifa>=86 && $tarifa<=100){
											  $tabla="tarifa_alta";
											  // echo "alta";
											 }
											 
											 
//FUNCION PARA CALCULAR LOS DIAS MESES Y AÑOS ENTRE DOS FECHAS DADAS
											 function tiempo_transcurrido($fecha_nacimiento, $fecha_control) 
													{ 
													 $fecha_actual = $fecha_control;    
													   if(!strlen($fecha_actual)) 
													     { 
														  $fecha_actual = date('d/m/Y'); 
													     } 
 
														   // separamos en partes las fechas  
														   $array_nacimiento = explode ( "/", $fecha_nacimiento );  
														   $array_actual = explode ( "/", $fecha_actual );  
														 
														   $anos =  $array_actual[2] - $array_nacimiento[2]; // calculamos años  
														   $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses  
														   $dias =  $array_actual[0] - $array_nacimiento[0]; // calculamos días  
 
															   //ajuste de posible negativo en $días  
															   if ($dias < 0)  
															   {  
																  --$meses;  
															 
																  //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual  
																  switch ($array_actual[1]) {  
																	 case 1:  
																		$dias_mes_anterior=31; 
																		break;  
																	 case 2:      
																		$dias_mes_anterior=31; 
																		break;  
																	 case 3:   
																		if (bisiesto($array_actual[2]))  
																		{  
																		   $dias_mes_anterior=29; 
																		   break;  
																		}  
																		else  
																		{  
																		   $dias_mes_anterior=28; 
																		   break;  
																		}  
																	 case 4: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 5: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 6: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 7: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 8: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 9: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 10: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 11: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 12: 
																		$dias_mes_anterior=30; 
																		break;  
																  }  
															 
																  $dias=$dias + $dias_mes_anterior; 
															 
																  if ($dias < 0) 
																  { 
																	 --$meses; 
																	 if($dias == -1) 
																	 { 
																		$dias = 30; 
																	 } 
																	 if($dias == -2) 
																	 { 
																		$dias = 29; 
																	 } 
																  } 
															   } 
 
																   //ajuste de posible negativo en $meses  
																   if ($meses < 0)  
																   {  
																	  --$anos;  
																	  $meses=$meses + 12;  
																   } 
																 
																   $tiempo[0] = $anos; 
																   $tiempo[1] = $meses; 
																   $tiempo[2] = $dias; 
																 
																   return $tiempo; 
																} 
																 
																function bisiesto($anio_actual){  
																   $bisiesto=false;  
																   //probamos si el mes de febrero del año actual tiene 29 días  
																	 if (checkdate(2,29,$anio_actual))  
																	 {  
																	  $bisiesto=true;  
																   }  
																   return $bisiesto;  
																}  

																 
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////CODIGO DE FECHA 
//CALCULA LOS AÑOS,MESES,SEMANAS Y DIAS DEPENDIENDO DE LA FECHA INICIAL Y FECHA FINAL
					$fechaInicio =$fecha1;
				    $fechaActual = $fecha2;
					$diaInicio = substr($fechaInicio, 0, 2);
					$mesInicio = substr($fechaInicio, 3, 2);
					$anioInicio = substr($fechaInicio, 6, 10);
					$diaActual = substr($fechaActual, 0, 2);
					$mesActual = substr($fechaActual, 3, 2);
					$anioActual = substr($fechaActual, 6, 10);
					/*$b = 0;
					$mes = $mesInicio-1;
					if($mes==2){
						if(($anioActual%4==0 && $anioActual%100!=0) || $anioActual%400==0){
						    $b = 29;
						  }else{
							$b = 28;
							}
					 }
					  else if($mes<=7){
							if($mes==0){
								$b = 31;
								}
								else if($mes%2==0){
										$b = 30;
									   }
										else{
											 $b = 31;
											}
					 }
					  else if($mes>7){
							if($mes%2==0){
							   $b = 31;
							 }
							  else{
								   $b = 30;
								  }
					 }*/
				     if(($anioInicio>$anioActual) || ($anioInicio==$anioActual && $mesInicio>$mesActual) || ($anioInicio==$anioActual && $mesInicio == $mesActual && $diaInicio>$diaActual)){
						if($_GET['lengua']=="espanol" or $_GET['lengua']=="") { echo "La fecha de inicio ha de ser anterior a la fecha Actual"; } else if($_GET['lengua']=="ingles") { echo "The start date must be earlier than current date"; }
					  }else{
						    /*if($mesInicio <= $mesActual){
							  $anios = $anioActual - $anioInicio;
							  if($diaInicio <= $diaActual){
							    $meses = $mesActual - $mesInicio;
								$dies = $diaActual - $diaInicio;
							   }else{
									 if($mesActual == $mesInicio){
										$anios = $anios - 1;
									  }
									   $meses = ($mesActual - $mesInicio - 1 + 12) % 12;
									   $dies = $b-($diaInicio-$diaActual);
									}
							 }else{
								   $anios = $anioActual - $anioInicio - 1;
								   if($diaInicio > $diaActual){
									  $meses = $mesActual - $mesInicio -1 +12;
									  $dies = $b - ($diaInicio-$diaActual);
								     }else{
										   $meses = $mesActual - $mesInicio + 12;
										   $dies = $diaActual - $diaInicio;
										  }
								  }*/
								   $fecha_nacimiento=$fechaInicio; 
								   $fecha_control=$fechaActual; 
 
								   $tiempo = tiempo_transcurrido($fecha_nacimiento, $fecha_control); 
								   $texto = "$tiempo[0] años con $tiempo[1] meses y $tiempo[2] días"; 
								   //print "".$texto."<br>"; 
								   $dits=$dits-1;
								   $anio=$dits/336;
								   $anios=(int)$anio;
								   $tmes=$dits%336;
								   $mese=$tmes/28;
								   $meses=(int)$mese; 
								   $seman=$tmes%28;
								   $semanass=$seman/7;   
								   $semred=(int)$semanass;
								   $restodias=$seman%7;
								   /*if($fechainicial==$fechafinal){
									 $restodias=1;
									}*/
								  /*echo "Años: ".$anios." <br />";
								   echo "Meses: ".$meses." <br />";
								   echo "Noches: ".$dies." <br />";*/
								   if($_GET['lengua']=="espanol" or $_GET['lengua']=="") {
								   echo "<font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>Usted ha elegido una estancia de:</font>
									<br> 
									<font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'><b>A&ntilde;o(s):</b></font><b>".$anios."</b><font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>Mes(es):</font><b>".$meses."</b><font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>Semana(s):</font><b>".$semred."</b><font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>Noche(s):</font><b>".$restodias."</b><br>";
								   //echo "<br>";
								   echo "<font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>No de Personas:</font><b>".$personas."</b>
									<br><font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>Fecha de estancia:</font><b>".$fechaInicio."</b><font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>A</font><b>".$fechaActual."</b>";
								   echo "<br>";
								   echo "<font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>Presupuesto:</font><b>";
									if($presupuesto==0){
									echo "<b>$0.00</b>";
									}else{
									 echo "<b>".$presupuesto."</b>";
									 }
									 echo "</b><font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>USD</font>";
								  /* echo "Meses: ".$meses." <br />";
								   echo "Semanas: ".$semred." <br />";
								   echo "Noches: ".$restodias." <br />";*/
								   }
								   
								   else if($_GET['lengua']=="ingles") {
								   echo "<font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>You have chosen to stay:</font>
									<br> 
									<font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'><b>Year(s):</b></font><b>".$anios."</b><font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>Month(s):</font><b>".$meses."</b><font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>Week(s):</font><b>".$semred."</b><font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>Night(s):</font><b>".$restodias."</b><br>";
								   //echo "<br>";
								   echo "<font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>No of People:</font><b>".$personas."</b>
									<br><font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>Date of stay:</font><b>".$fechaInicio."</b><font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>TO</font><b>".$fechaActual."</b>";
								   echo "<br>";
								   echo "<font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>Budget:</font><b>";
									if($presupuesto==0){
									echo "<b>$0.00</b>";
									}else{
									 echo "<b>".Moneda($presupuesto)."</b>";
									 }
									 echo "</b><font style='font-family: Trebuchet MS, Tahoma, Verdana;
									font-size: 12px;
									font-weight: normal;
									color: #6F6F6F;
									text-decoration: none;
									padding: 0px;
									margin: 20px;'>USD</font>";
								  /* echo "Meses: ".$meses." <br />";
								   echo "Semanas: ".$semred." <br />";
								   echo "Noches: ".$restodias." <br />";*/							   
								   } 
							}
							//TERMINA CALCULO DE FI Y FF DEPENDIENDO DE LAS FECHAS INTRODUCIDAS POR EL USUARIO														
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////																			?>
                                             <table align="center"style="background:#0d0d0d; color: #ffffff;font: 12px sans-serif;" width="100%">
                                             <tr>
															    <td colspan="2" align="center"><img src="http://www.mexicoenrenta.com.mx/turisiscom/images/mexrentlog.jpg" width="100%" height="55"/></td>
											 </tr>
											 </table>
                                            <?
											for($m=0;$m<$totdeprentas;$m++)
											  {
											   
											   $encontrado=false;
											   for($n=0;$n<$totdeprentas;$n++)
												 {
												  if($dep1p[$m]==$idsrentados[$n])
													{
													 $encontrado=true;
													 $break;
													}
												 }
							   
												 if($encontrado == false){
											        $dep1p[$m];
													
										  $sql="SELECT d.id_departamento,d.clave,d.descripcion,d.foto,d.descripcion_ingles,c.nombre,t.id_departamento,t.noche,t.semana,t.mes,t.2a4,t.5a8,t.anual from departamentos d,complejo c,".$tabla." t where d.id_departamento='$dep1p[$m]' and d.id_complejo=c.id_complejo and d.id_departamento=t.id_departamento";
										  $ejecons=mysql_query($sql);
										  if($reg=mysql_num_rows($ejecons)>0){
										  $ressql=mysql_fetch_array($ejecons);
										  
										  $totnoche=$ressql['noche']*$restodias;
										  $totsemana=$ressql['semana']*$semred;										  
										  
										   if($meses==1){
											 $totmeses=$ressql['mes'];
										    }
										   if($meses>=2 && $meses<=4){
											 $totmeses=$ressql['2a4'];
										    }
										   if($meses>=5 && $meses<=8){
											 $totmeses=$ressql['5a8'];
										    }
										   if($meses>=9 && $meses<=11){
											 $totmeses=$ressql['anual'];
										    }
										  
										    $totanos=$ressql['anual']*$anios;
										    $totapagar=$totnoche+$totsemana+$totmeses+$totanos;
											
											//echo $presupuesto;
											//echo $usd;
											//echo $mxn;
											/*if($usd="dolar"){
											  echo $totdolar=$presupuesto;
											 }
											 if($mxn="mex"){
											  $cotdolar=11.6654;
											  echo $convdolamex=round(($presupuesto/$cotdolar),4);
											  //echo $totalapresupuesto=$convdolamex." <b>MXN</b>";
											 }*/
											 
											 //imagenes
											 if($ressql[3]==""){
											   $imagen="fotosmxr/01.jpg";
											 }
											 if($ressql[3]!=""){
											   $imagen=$ressql[3];
											 }
											 $cantidadmas=$presupuesto * .30;
											 $presu=$presupuesto + $cantidadmas;
											 $ruta='"http://www.mexicoenrenta.com.mx/';
											
											  $c=$c+1;
											   if($c==1)
											   {
											    $color="#0d0d0d";
												$c=$c-2;
											   }
											   if($c==0)
											   {
											    $color="#585858"; 
											   }
											                ?>
															<table align="center" style="background:<?echo $color?>; color: #ffffff;font: 12px sans-serif;" width="100%">
											                 <tr>
															     <td>
																     <b><?echo $ressql[5]." ".$ressql[1]?></b>
														         </td>											 
															     <td>
																     Con un precio de <b>$<?echo $totapagar?> USD</b>.
																 </td>
																 <td align="right">
																	     <a href="javascript:asignar('<?echo $ressql[5]?>','<?echo $ressql[1]?>',<?echo $ressql['id_departamento']?>,'<?echo $totapagar?>');" target="_self"><img src="images/asignar.png" style="border:0;"/></a>
																 </td>
															 </tr>
															 </table>	
                                                             <?
                                               									 		  
											     
											       $corrprop=$corrprop.$corr;
												   $corrproping=$corrproping.$corring;
												   
										  //echo "DEPARTAMENTOS DISPONIBLES ".$ressql[4]." ".$ressql[1].$ressql[0]."<hr>"; 
													}
											      }
							                  }
                                             ?> 
											<table align="center"style="background:#8A0868; color: #ffffff;font: 12px sans-serif;" width="100%">
											     <tr>
												    <td align="center"></td>
												 </tr>
											</table>
											<?											  
//////////////////////////////////////////////////////////////////////////////////////////////////				   			
                }
				$y=0;
				$corrprop="";
				$corrproping="";
				
				 if($ms=="ms")
				{
				 $propiedad=2;
				 $sql1p="SELECT id_departamento FROM departamentos WHERE id_complejo = '$propiedad' ";
				 $ejesql1p=mysql_query($sql1p);
				 $j=0;
				 while($resejesql1p=mysql_fetch_array($ejesql1p)){
				    $dep1p2[]=$resejesql1p[0];
					$j++;
				 }
				 //DESGLOSA RANGO DE FECHAS INTRODUCIDAS POR EL CLIENTE
					  $fechainiformcliente = $fechainicial;
					  $fechafinformcliente = $fechafinal;

					  for($i=$fechainiformcliente;$i<=$fechafinformcliente;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
					     $fecharangocliente2[]=$i;
						}
						$y=0;
						$x=0;
						do{
						    $dep1p2[$y];
							$totrentas=count($dep1p2[$y]);
							$totdeprentas=$totdeprentas+$totrentas;
							$sqlocupado="SELECT count(id_departamento),dia_inicio,dia_salida FROM rentas WHERE id_departamento='$dep1p2[$y]' group by id_departamento";
							$ejesqlocupado=mysql_query($sqlocupado);
							while($resejesqlocupado=mysql_fetch_array($ejesqlocupado)){
								 $resejesqlocupado[0].$resejesqlocupado[1].$resejesqlocupado[2];
								 $totdepartamentos=$resejesqlocupado[0];
								 $departamentos[]=$resejesqlocupado[0];
						        }
							$y++;
							$x++;
						}while($y<=$j || $x<=$i);
						 //TERMINA DESGLOSE RANGO DE FECHAS INTRODUCIDAS POR EL CLIENTE
						//echo $totdeprentas;
						for($y=0;$y<=$totdeprentas;$y++){
						    $sqldesg="SELECT id_departamento,dia_inicio,dia_salida FROM rentas WHERE id_departamento='$dep1p2[$y]'";
							$ejesqldesg=mysql_query($sqldesg);
							$resejesqldesg=mysql_fetch_array($ejesqldesg);
							//$resejesqldesg[0].$resejesqldesg[1].$resejesqldesg[2];
							
							$fechamasuno=$resejesqldesg[1];
							$fechamenosuno=$resejesqldesg[2];
							

						     
								//salida: 04/02/2008
								//echo sumaDia('30/01/2008',-5);
								//salida: 25/01/2008
							
							//$ids2[]=$resejesqldesg[0];
							$fechaunobd=date("Y-m-d",strtotime( "$fechamasuno +1 DAY"));
							$fechadosbd=date("Y-m-d",strtotime( "$fechamenosuno -1 DAY"));
							//$fechadosbd=$resejesqldesg[2];
							
							for($i=$fechaunobd;$i<=$fechadosbd;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
							    $fecharangobd2[]=$i;
								$ids2[]=$resejesqldesg[0];
								}
						   }
						   
						   
						   //CUENTA ARREGLOS
						   for($a=0;$a<=1460;$a++)
							   {
								$totidse=count($fecharangocliente2[$a]);
								$totar1=$totar1 + $totidse;
								$totids=count($fecharangobd2[$a]);
								$totar2=$totar2 + $totids; 
							   }
								$totar1;
								$totar2;

								if($totar1>$totar2)
								    $ta=$totar1;
								if($totar1<$totar2)
									$ta=$totar2;   
								if($totar1==$totar2)
									$ta=$totar1;

							    for($m=0;$m<$ta;$m++)
									{
									 for($n=0;$n<$ta;$n++){
										if(($fecharangocliente2[$n]==$fecharangobd2[$m])){
										   //echo $fecharangocliente2[$n]."--".$fecharangobd2[$m]."<br>";
										   $datoss2[]=$ids2[$m];
										   
									       $datos;
							               $ids2[$m];
										   //echo "**".$fecharangocliente2[$n]."**--".$fecharangobd2[$m]."--<br>";
										   $sql="SELECT id_departamento,clave,rec,descripcion from departamentos where id_departamento='$ids2[$m]' group by id_departamento";
										   $ejecutaconsulta=mysql_query($sql);
										   $reg=mysql_fetch_array($ejecutaconsulta);
										   //echo $reg[1];
										  }else{
										     $datoss2[]=0;
										  }
										}
                                    }		
								
								$datoss2 = array_unique($datoss2);
								foreach($datoss2 as $key => $value2){
								          $idsrentados2[]=$value2;
									      $value2;
										  $sql="SELECT d.id_departamento,d.clave,d.descripcion,d.foto,r.id_departamento,r.dia_inicio,r.dia_salida,c.nombre from departamentos d,rentas r,complejo c where d.id_departamento='$value2' and d.id_departamento=r.id_departamento and d.id_complejo=c.id_complejo";
										  $ejecons=mysql_query($sql);
										  if($reg=mysql_num_rows($ejecons)>0){
										  $ressql=mysql_fetch_array($ejecons);
										  
										 if($_GET['lengua']=="espanol" or $_GET['lengua']=="") { echo "EL DEPARTAMENTO ".$ressql[7]." ".$ressql[1]." POR AHORA NO ESTA DISPONIBLE ESTA RENTADO DEL <br>".$ressql[5]." AL ".$ressql[6]."<br><hr>"; } else if($_GET['lengua']=="ingles") { echo "DEPARTMENT ".$ressql[7]." ".$ressql[1]." NOW IS NOT AVAILABLE FOR THIS INCOME <br>".$ressql[5]." TO ".$ressql[6]."<br><hr>"; } 
										  
										  
												}
											}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////											
											//consulta que cuenta el numero de departamentos de cada propiedad o complejo
											 $sql="select count(id_complejo) from departamentos where id_complejo = '$propiedad' group by id_complejo";
											 $ejesql=mysql_query($sql);
											 $totdepas=mysql_fetch_array($ejesql);
											 $totaldepas=$totdepas[0];
											 ////consulta que cuenta el numero de departamentos de cada propiedad o complejo que estan libres
											 $sqldeplibres="select count(id_complejo) from departamentos where id_complejo = '$propiedad' AND status='libre' group by id_complejo";
											 $ejesqldeplibres=mysql_query($sqldeplibres);
											 $totdepasdeplibres=mysql_fetch_array($ejesqldeplibres);
											 $totaldepasdeplibres=$totdepasdeplibres[0];
											 $diflibredesocupado=$totaldepas-$totaldepasdeplibres;
											 
											 //tarifa alta,media,baja,muy baja
											 $tarifa=round((($diflibredesocupado*100)/$totaldepas));
											 if($tarifa>=0 && $tarifa<=35){
											  $tabla="tarifa_muybaja";
											  // echo "muy baja";
											 }
											 if($tarifa>=36 && $tarifa<=60){
											  $tabla="tarifa_baja";
											 //  echo "baja";
											 }
											 if($tarifa>=61 && $tarifa<=85){
											  $tabla="tarifa_media";
											  // echo "media";
											 }
											 if($tarifa>=86 && $tarifa<=100){
											  $tabla="tarifa_alta";
											  // echo "alta";
											 }
											 
											 
//FUNCION PARA CALCULAR LOS DIAS MESES Y AÑOS ENTRE DOS FECHAS DADAS
											 function tiempo_transcurrido2($fecha_nacimiento, $fecha_control) 
													{ 
													 $fecha_actual = $fecha_control;    
													   if(!strlen($fecha_actual)) 
													     { 
														  $fecha_actual = date('d/m/Y'); 
													     } 
 
														   // separamos en partes las fechas  
														   $array_nacimiento = explode ( "/", $fecha_nacimiento );  
														   $array_actual = explode ( "/", $fecha_actual );  
														 
														   $anos =  $array_actual[2] - $array_nacimiento[2]; // calculamos años  
														   $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses  
														   $dias =  $array_actual[0] - $array_nacimiento[0]; // calculamos días  
 
															   //ajuste de posible negativo en $días  
															   if ($dias < 0)  
															   {  
																  --$meses;  
															 
																  //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual  
																  switch ($array_actual[1]) {  
																	 case 1:  
																		$dias_mes_anterior=31; 
																		break;  
																	 case 2:      
																		$dias_mes_anterior=31; 
																		break;  
																	 case 3:   
																		if (bisiesto2($array_actual[2]))  
																		{  
																		   $dias_mes_anterior=29; 
																		   break;  
																		}  
																		else  
																		{  
																		   $dias_mes_anterior=28; 
																		   break;  
																		}  
																	 case 4: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 5: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 6: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 7: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 8: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 9: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 10: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 11: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 12: 
																		$dias_mes_anterior=30; 
																		break;  
																  }  
															 
																  $dias=$dias + $dias_mes_anterior; 
															 
																  if ($dias < 0) 
																  { 
																	 --$meses; 
																	 if($dias == -1) 
																	 { 
																		$dias = 30; 
																	 } 
																	 if($dias == -2) 
																	 { 
																		$dias = 29; 
																	 } 
																  } 
															   } 
 
																   //ajuste de posible negativo en $meses  
																   if ($meses < 0)  
																   {  
																	  --$anos;  
																	  $meses=$meses + 12;  
																   } 
																 
																   $tiempo[0] = $anos; 
																   $tiempo[1] = $meses; 
																   $tiempo[2] = $dias; 
																 
																   return $tiempo; 
																} 
																 
																function bisiesto2($anio_actual){  
																   $bisiesto=false;  
																   //probamos si el mes de febrero del año actual tiene 29 días  
																	 if (checkdate(2,29,$anio_actual))  
																	 {  
																	  $bisiesto=true;  
																   }  
																   return $bisiesto;  
																}  

																 
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////CODIGO DE FECHA 
//CALCULA LOS AÑOS,MESES,SEMANAS Y DIAS DEPENDIENDO DE LA FECHA INICIAL Y FECHA FINAL
					$fechaInicio =$fecha1;
				    $fechaActual = $fecha2;
					$diaInicio = substr($fechaInicio, 0, 2);
					$mesInicio = substr($fechaInicio, 3, 2);
					$anioInicio = substr($fechaInicio, 6, 10);
					$diaActual = substr($fechaActual, 0, 2);
					$mesActual = substr($fechaActual, 3, 2);
					$anioActual = substr($fechaActual, 6, 10);
					/*$b = 0;
					$mes = $mesInicio-1;
					if($mes==2){
						if(($anioActual%4==0 && $anioActual%100!=0) || $anioActual%400==0){
						    $b = 29;
						  }else{
							$b = 28;
							}
					 }
					  else if($mes<=7){
							if($mes==0){
								$b = 31;
								}
								else if($mes%2==0){
										$b = 30;
									   }
										else{
											 $b = 31;
											}
					 }
					  else if($mes>7){
							if($mes%2==0){
							   $b = 31;
							 }
							  else{
								   $b = 30;
								  }
					 }*/
				     if(($anioInicio>$anioActual) || ($anioInicio==$anioActual && $mesInicio>$mesActual) || ($anioInicio==$anioActual && $mesInicio == $mesActual && $diaInicio>$diaActual)){
						if($_GET['lengua']=="espanol" or $_GET['lengua']=="") { echo "La fecha de inicio ha de ser anterior a la fecha Actual"; } else if($_GET['lengua']=="ingles") { echo "The start date must be earlier than current date"; }
					  }else{
						    /*if($mesInicio <= $mesActual){
							  $anios = $anioActual - $anioInicio;
							  if($diaInicio <= $diaActual){
							    $meses = $mesActual - $mesInicio;
								$dies = $diaActual - $diaInicio;
							   }else{
									 if($mesActual == $mesInicio){
										$anios = $anios - 1;
									  }
									   $meses = ($mesActual - $mesInicio - 1 + 12) % 12;
									   $dies = $b-($diaInicio-$diaActual);
									}
							 }else{
								   $anios = $anioActual - $anioInicio - 1;
								   if($diaInicio > $diaActual){
									  $meses = $mesActual - $mesInicio -1 +12;
									  $dies = $b - ($diaInicio-$diaActual);
								     }else{
										   $meses = $mesActual - $mesInicio + 12;
										   $dies = $diaActual - $diaInicio;
										  }
								  }*/
								   $fecha_nacimiento=$fechaInicio; 
								   $fecha_control=$fechaActual; 
 
								   $tiempo = tiempo_transcurrido2($fecha_nacimiento, $fecha_control); 
								   $texto = "$tiempo[0] años con $tiempo[1] meses y $tiempo[2] días"; 
								   //print "".$texto."<br>"; 
								   
								   $anios=$tiempo[0];
								   $meses=$tiempo[1];
								   
								   $semanass=$tiempo[2]/7;
								   $semred=(int)$semanass;
								   $restodias=$tiempo[2]%7;
								   /*if($fechainicial==$fechafinal){
									 $restodias=1;
									}*/
								  /*echo "Años: ".$anios." <br />";
								   echo "Meses: ".$meses." <br />";
								   echo "Noches: ".$dies." <br />";*/
								   
							}
							//TERMINA CALCULO DE FI Y FF DEPENDIENDO DE LAS FECHAS INTRODUCIDAS POR EL USUARIO														
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////																			?>
                                             <table align="center"style="background:#0d0d0d; color: #ffffff;font: 12px sans-serif;" width="100%">
                                             <tr>
															    <td colspan="2" align="center"><img src="http://www.mexicoenrenta.com.mx/turisiscom/images/mexrentlog.jpg" width="100%" height="55"/></td>
											 </tr>
											 </table>
                                            <?
											for($m=0;$m<$totdeprentas;$m++)
											  {
											   $encontrado=false;
											   for($n=0;$n<$totdeprentas;$n++)
												 {
												  if($dep1p2[$m]==$idsrentados2[$n])
													{
													 $encontrado=true;
													 $break;
													}
												 }
							   
												 if($encontrado == false){
											        $dep1p2[$m];
													
										  $sql="SELECT d.id_departamento,d.clave,d.descripcion,d.foto,d.descripcion_ingles,c.nombre,t.id_departamento,t.noche,t.semana,t.mes,t.2a4,t.5a8,t.anual from departamentos d,complejo c,".$tabla." t where d.id_departamento='$dep1p2[$m]' and d.id_complejo=c.id_complejo and d.id_departamento=t.id_departamento";
										  $ejecons=mysql_query($sql);
										  if($reg=mysql_num_rows($ejecons)>0){
										  $ressql=mysql_fetch_array($ejecons);
										  
										  $totnoche=$ressql['noche']*$restodias;
										  $totsemana=$ressql['semana']*$semred;										  
										  
										   if($meses==1){
											 $totmeses=$ressql['mes'];
										    }
										   if($meses>=2 && $meses<=4){
											 $totmeses=$ressql['2a4'];
										    }
										   if($meses>=5 && $meses<=8){
											 $totmeses=$ressql['5a8'];
										    }
										   if($meses>=9 && $meses<=11){
											 $totmeses=$ressql['anual'];
										    }
										  
										    $totanos=$ressql['anual']*$anios;
										    $totapagar=$totnoche+$totsemana+$totmeses+$totanos;
											
											//echo $presupuesto;
											//echo $usd;
											//echo $mxn;
											/*if($usd="dolar"){
											  echo $totdolar=$presupuesto;
											 }
											 if($mxn="mex"){
											  $cotdolar=11.6654;
											  echo $convdolamex=round(($presupuesto/$cotdolar),4);
											  //echo $totalapresupuesto=$convdolamex." <b>MXN</b>";
											 }*/
											 
											 //imagenes
											 if($ressql[3]==""){
											   $imagen="fotosmxr/01.jpg";
											 }
											 if($ressql[3]!=""){
											   $imagen=$ressql[3];
											 }
											 $cantidadmas=$presupuesto * .30;
											 $presu=$presupuesto + $cantidadmas;
											 $ruta='"http://www.mexicoenrenta.com.mx/';
											 
											 $c=$c+1;
											 if($c==1)
											   {
											    $color="#0d0d0d";
												$c=$c-2;
											   }
											   if($c==0)
											   {
											    $color="#585858";
											   }
											               ?>
															<table align="center" style="background:<?echo $color?>; color: #ffffff;font: 12px sans-serif;" width="100%">
											                 <tr>
															     <td>
																     <b><?echo $ressql[5]." ".$ressql[1]?></b>
														         </td>											 
															     <td>
																     Con un precio de <b>$<?echo $totapagar?> USD</b>.
																 </td>
																 <td align="right">
																	     <a href="javascript:asignar('<?echo $ressql[5]?>','<?echo $ressql[1]?>',<?echo $ressql['id_departamento']?>,'<?echo $totapagar?>');" target="_self"><img src="images/asignar.png" style="border:0;"/></a>
																 </td>
															 </tr>
															 </table>	
                                                             <?
                                                								  
											     
											       $corrprop2=$corrprop2.$corr2;
												   $corrproping2=$corrproping2.$corring2;
												   
										  //echo "DEPARTAMENTOS DISPONIBLES ".$ressql[4]." ".$ressql[1].$ressql[0]."<hr>"; 
													}
											      }
							                  }
                                             ?>
											<table align="center"style="background:#8A0868; color: #ffffff;font: 12px sans-serif;" width="100%">
											     <tr>
												    <td align="center"></td>
												 </tr>
											</table>
											<?											  
//////////////////////////////////////////////////////////////////////////////////////////////////				   			
                }
				if($ct=="ct")
				{
				 $propiedad=3;
				 $sql1p="SELECT id_departamento FROM departamentos WHERE id_complejo = '$propiedad' ";
				 $ejesql1p=mysql_query($sql1p);
				 $j=0;
				 while($resejesql1p=mysql_fetch_array($ejesql1p)){
				    $dep1p3[]=$resejesql1p[0];
					$j++;
				 }
				 //DESGLOSA RANGO DE FECHAS INTRODUCIDAS POR EL CLIENTE
					  $fechainiformcliente = $fechainicial;
					  $fechafinformcliente = $fechafinal;

					  for($i=$fechainiformcliente;$i<=$fechafinformcliente;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
					     $fecharangocliente3[]=$i;
						}
						$y=0;
						$x=0;
						do{
						    $dep1p3[$y];
							$totrentas=count($dep1p3[$y]);
							$totdeprentas=$totdeprentas+$totrentas;
							$sqlocupado="SELECT count(id_departamento),dia_inicio,dia_salida FROM rentas WHERE id_departamento='$dep1p3[$y]' group by id_departamento";
							$ejesqlocupado=mysql_query($sqlocupado);
							while($resejesqlocupado=mysql_fetch_array($ejesqlocupado)){
								 $resejesqlocupado[0].$resejesqlocupado[1].$resejesqlocupado[2];
								 $totdepartamentos=$resejesqlocupado[0];
								 $departamentos[]=$resejesqlocupado[0];
						        }
							$y++;
							$x++;
						}while($y<=$j || $x<=$i);
						 //TERMINA DESGLOSE RANGO DE FECHAS INTRODUCIDAS POR EL CLIENTE
						//echo $totdeprentas;
						for($y=0;$y<=$totdeprentas;$y++){
						    $sqldesg="SELECT id_departamento,dia_inicio,dia_salida FROM rentas WHERE id_departamento='$dep1p3[$y]'";
							$ejesqldesg=mysql_query($sqldesg);
							$resejesqldesg=mysql_fetch_array($ejesqldesg);
							//$resejesqldesg[0].$resejesqldesg[1].$resejesqldesg[2];
							
							$fechamasuno=$resejesqldesg[1];
							$fechamenosuno=$resejesqldesg[2];
							

						     
								//salida: 04/02/2008
								//echo sumaDia('30/01/2008',-5);
								//salida: 25/01/2008
							
							//$ids3[]=$resejesqldesg[0];
							$fechaunobd=date("Y-m-d",strtotime( "$fechamasuno +1 DAY"));
							$fechadosbd=date("Y-m-d",strtotime( "$fechamenosuno -1 DAY"));
							//$fechadosbd=$resejesqldesg[2];
							
							for($i=$fechaunobd;$i<=$fechadosbd;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
							    $fecharangobd3[]=$i;
								$ids3[]=$resejesqldesg[0];
								}
						   }
						   
						   
						   //CUENTA ARREGLOS
						   for($a=0;$a<=1460;$a++)
							   {
								$totidse=count($fecharangocliente3[$a]);
								$totar1=$totar1 + $totidse;
								$totids=count($fecharangobd3[$a]);
								$totar2=$totar2 + $totids; 
							   }
								$totar1;
								$totar2;

								if($totar1>$totar2)
								    $ta=$totar1;
								if($totar1<$totar2)
									$ta=$totar2;   
								if($totar1==$totar2)
									$ta=$totar1;

							    for($m=0;$m<$ta;$m++)
									{
									 for($n=0;$n<$ta;$n++){
										if(($fecharangocliente3[$n]==$fecharangobd3[$m])){
										   //echo $fecharangocliente3[$n]."--".$fecharangobd3[$m]."<br>";
										   $datoss3[]=$ids3[$m];
										   
									       $datos;
							               $ids3[$m];
										   //echo "**".$fecharangocliente3[$n]."**--".$fecharangobd3[$m]."--<br>";
										   $sql="SELECT id_departamento,clave,rec,descripcion from departamentos where id_departamento='$ids3[$m]' group by id_departamento";
										   $ejecutaconsulta=mysql_query($sql);
										   $reg=mysql_fetch_array($ejecutaconsulta);
										   //echo $reg[1];
										  }else{
										     $datoss3[]=0;
										  }
										}
                                    }		
								
								$datoss3 = array_unique($datoss3);
								foreach($datoss3 as $key => $value3){
								          $idsrentados3[]=$value3;
									      $value3;
										  $sql="SELECT d.id_departamento,d.clave,d.descripcion,d.foto,r.id_departamento,r.dia_inicio,r.dia_salida,c.nombre from departamentos d,rentas r,complejo c where d.id_departamento='$value3' and d.id_departamento=r.id_departamento and d.id_complejo=c.id_complejo";
										  $ejecons=mysql_query($sql);
										  if($reg=mysql_num_rows($ejecons)>0){
										  $ressql=mysql_fetch_array($ejecons);
										  
										 if($_GET['lengua']=="espanol" or $_GET['lengua']=="") { echo "EL DEPARTAMENTO ".$ressql[7]." ".$ressql[1]." POR AHORA NO ESTA DISPONIBLE ESTA RENTADO DEL <br>".$ressql[5]." AL ".$ressql[6]."<br><hr>"; } else if($_GET['lengua']=="ingles") { echo "DEPARTMENT ".$ressql[7]." ".$ressql[1]." NOW IS NOT AVAILABLE FOR THIS INCOME <br>".$ressql[5]." TO ".$ressql[6]."<br><hr>"; } 
										  
										  
												}
											}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////											
											//consulta que cuenta el numero de departamentos de cada propiedad o complejo
											 $sql="select count(id_complejo) from departamentos where id_complejo = '$propiedad' group by id_complejo";
											 $ejesql=mysql_query($sql);
											 $totdepas=mysql_fetch_array($ejesql);
											 $totaldepas=$totdepas[0];
											 ////consulta que cuenta el numero de departamentos de cada propiedad o complejo que estan libres
											 $sqldeplibres="select count(id_complejo) from departamentos where id_complejo = '$propiedad' AND status='libre' group by id_complejo";
											 $ejesqldeplibres=mysql_query($sqldeplibres);
											 $totdepasdeplibres=mysql_fetch_array($ejesqldeplibres);
											 $totaldepasdeplibres=$totdepasdeplibres[0];
											 $diflibredesocupado=$totaldepas-$totaldepasdeplibres;
											 
											 //tarifa alta,media,baja,muy baja
											 $tarifa=round((($diflibredesocupado*100)/$totaldepas));
											 if($tarifa>=0 && $tarifa<=35){
											  $tabla="tarifa_muybaja";
											  // echo "muy baja";
											 }
											 if($tarifa>=36 && $tarifa<=60){
											  $tabla="tarifa_baja";
											 //  echo "baja";
											 }
											 if($tarifa>=61 && $tarifa<=85){
											  $tabla="tarifa_media";
											  // echo "media";
											 }
											 if($tarifa>=86 && $tarifa<=100){
											  $tabla="tarifa_alta";
											  // echo "alta";
											 }
											 
											 
//FUNCION PARA CALCULAR LOS DIAS MESES Y AÑOS ENTRE DOS FECHAS DADAS
											 function tiempo_transcurrido3($fecha_nacimiento, $fecha_control) 
													{ 
													 $fecha_actual = $fecha_control;    
													   if(!strlen($fecha_actual)) 
													     { 
														  $fecha_actual = date('d/m/Y'); 
													     } 
 
														   // separamos en partes las fechas  
														   $array_nacimiento = explode ( "/", $fecha_nacimiento );  
														   $array_actual = explode ( "/", $fecha_actual );  
														 
														   $anos =  $array_actual[2] - $array_nacimiento[2]; // calculamos años  
														   $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses  
														   $dias =  $array_actual[0] - $array_nacimiento[0]; // calculamos días  
 
															   //ajuste de posible negativo en $días  
															   if ($dias < 0)  
															   {  
																  --$meses;  
															 
																  //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual  
																  switch ($array_actual[1]) {  
																	 case 1:  
																		$dias_mes_anterior=31; 
																		break;  
																	 case 2:      
																		$dias_mes_anterior=31; 
																		break;  
																	 case 3:   
																		if (bisiesto3($array_actual[2]))  
																		{  
																		   $dias_mes_anterior=29; 
																		   break;  
																		}  
																		else  
																		{  
																		   $dias_mes_anterior=28; 
																		   break;  
																		}  
																	 case 4: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 5: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 6: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 7: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 8: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 9: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 10: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 11: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 12: 
																		$dias_mes_anterior=30; 
																		break;  
																  }  
															 
																  $dias=$dias + $dias_mes_anterior; 
															 
																  if ($dias < 0) 
																  { 
																	 --$meses; 
																	 if($dias == -1) 
																	 { 
																		$dias = 30; 
																	 } 
																	 if($dias == -2) 
																	 { 
																		$dias = 29; 
																	 } 
																  } 
															   } 
 
																   //ajuste de posible negativo en $meses  
																   if ($meses < 0)  
																   {  
																	  --$anos;  
																	  $meses=$meses + 12;  
																   } 
																 
																   $tiempo[0] = $anos; 
																   $tiempo[1] = $meses; 
																   $tiempo[2] = $dias; 
																 
																   return $tiempo; 
																} 
																 
																function bisiesto3($anio_actual){  
																   $bisiesto=false;  
																   //probamos si el mes de febrero del año actual tiene 29 días  
																	 if (checkdate(2,29,$anio_actual))  
																	 {  
																	  $bisiesto=true;  
																   }  
																   return $bisiesto;  
																}  

																 
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////CODIGO DE FECHA 
//CALCULA LOS AÑOS,MESES,SEMANAS Y DIAS DEPENDIENDO DE LA FECHA INICIAL Y FECHA FINAL
					$fechaInicio =$fecha1;
				    $fechaActual = $fecha2;
					$diaInicio = substr($fechaInicio, 0, 2);
					$mesInicio = substr($fechaInicio, 3, 2);
					$anioInicio = substr($fechaInicio, 6, 10);
					$diaActual = substr($fechaActual, 0, 2);
					$mesActual = substr($fechaActual, 3, 2);
					$anioActual = substr($fechaActual, 6, 10);
					/*$b = 0;
					$mes = $mesInicio-1;
					if($mes==2){
						if(($anioActual%4==0 && $anioActual%100!=0) || $anioActual%400==0){
						    $b = 29;
						  }else{
							$b = 28;
							}
					 }
					  else if($mes<=7){
							if($mes==0){
								$b = 31;
								}
								else if($mes%2==0){
										$b = 30;
									   }
										else{
											 $b = 31;
											}
					 }
					  else if($mes>7){
							if($mes%2==0){
							   $b = 31;
							 }
							  else{
								   $b = 30;
								  }
					 }*/
				     if(($anioInicio>$anioActual) || ($anioInicio==$anioActual && $mesInicio>$mesActual) || ($anioInicio==$anioActual && $mesInicio == $mesActual && $diaInicio>$diaActual)){
						if($_GET['lengua']=="espanol" or $_GET['lengua']=="") { echo "La fecha de inicio ha de ser anterior a la fecha Actual"; } else if($_GET['lengua']=="ingles") { echo "The start date must be earlier than current date"; }
					  }else{
						    /*if($mesInicio <= $mesActual){
							  $anios = $anioActual - $anioInicio;
							  if($diaInicio <= $diaActual){
							    $meses = $mesActual - $mesInicio;
								$dies = $diaActual - $diaInicio;
							   }else{
									 if($mesActual == $mesInicio){
										$anios = $anios - 1;
									  }
									   $meses = ($mesActual - $mesInicio - 1 + 12) % 12;
									   $dies = $b-($diaInicio-$diaActual);
									}
							 }else{
								   $anios = $anioActual - $anioInicio - 1;
								   if($diaInicio > $diaActual){
									  $meses = $mesActual - $mesInicio -1 +12;
									  $dies = $b - ($diaInicio-$diaActual);
								     }else{
										   $meses = $mesActual - $mesInicio + 12;
										   $dies = $diaActual - $diaInicio;
										  }
								  }*/
								   $fecha_nacimiento=$fechaInicio; 
								   $fecha_control=$fechaActual; 
 
								   $tiempo = tiempo_transcurrido3($fecha_nacimiento, $fecha_control); 
								   $texto = "$tiempo[0] años con $tiempo[1] meses y $tiempo[2] días"; 
								   //print "".$texto."<br>"; 
								   
								   $anios=$tiempo[0];
								   $meses=$tiempo[1];
								   
								   $semanass=$tiempo[2]/7;
								   $semred=(int)$semanass;
								   $restodias=$tiempo[2]%7;
								   /*if($fechainicial==$fechafinal){
									 $restodias=1;
									}*/
								  /*echo "Años: ".$anios." <br />";
								   echo "Meses: ".$meses." <br />";
								   echo "Noches: ".$dies." <br />";*/
								   
							}
							//TERMINA CALCULO DE FI Y FF DEPENDIENDO DE LAS FECHAS INTRODUCIDAS POR EL USUARIO														
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////																			?>
                                             <table align="center"style="background:#0d0d0d; color: #ffffff;font: 12px sans-serif;" width="100%">
                                             <tr>
															    <td colspan="2" align="center"><img src="http://www.mexicoenrenta.com.mx/turisiscom/images/mexrentlog.jpg" width="100%" height="55"/></td>
											 </tr>
											 </table>
                                            <?
											for($m=0;$m<$totdeprentas;$m++)
											  {
											   $encontrado=false;
											   for($n=0;$n<$totdeprentas;$n++)
												 {
												  if($dep1p3[$m]==$idsrentados3[$n])
													{
													 $encontrado=true;
													 $break;
													}
												 }
							   
												 if($encontrado == false){
											        $dep1p3[$m];
													
										  $sql="SELECT d.id_departamento,d.clave,d.descripcion,d.foto,d.descripcion_ingles,c.nombre,t.id_departamento,t.noche,t.semana,t.mes,t.2a4,t.5a8,t.anual from departamentos d,complejo c,".$tabla." t where d.id_departamento='$dep1p3[$m]' and d.id_complejo=c.id_complejo and d.id_departamento=t.id_departamento";
										  $ejecons=mysql_query($sql);
										  if($reg=mysql_num_rows($ejecons)>0){
										  $ressql=mysql_fetch_array($ejecons);
										  
										  $totnoche=$ressql['noche']*$restodias;
										  $totsemana=$ressql['semana']*$semred;										  
										  
										   if($meses==1){
											 $totmeses=$ressql['mes'];
										    }
										   if($meses>=2 && $meses<=4){
											 $totmeses=$ressql['2a4'];
										    }
										   if($meses>=5 && $meses<=8){
											 $totmeses=$ressql['5a8'];
										    }
										   if($meses>=9 && $meses<=11){
											 $totmeses=$ressql['anual'];
										    }
										  
										    $totanos=$ressql['anual']*$anios;
										    $totapagar=$totnoche+$totsemana+$totmeses+$totanos;
											
											//echo $presupuesto;
											//echo $usd;
											//echo $mxn;
											/*if($usd="dolar"){
											  echo $totdolar=$presupuesto;
											 }
											 if($mxn="mex"){
											  $cotdolar=11.6654;
											  echo $convdolamex=round(($presupuesto/$cotdolar),4);
											  //echo $totalapresupuesto=$convdolamex." <b>MXN</b>";
											 }*/
											 
											 //imagenes
											 if($ressql[3]==""){
											   $imagen="fotosmxr/01.jpg";
											 }
											 if($ressql[3]!=""){
											   $imagen=$ressql[3];
											 }
											 $cantidadmas=$presupuesto * .30;
											 $presu=$presupuesto + $cantidadmas;
											 $ruta='"http://www.mexicoenrenta.com.mx/';
										
											 $c=$c+1;
											 if($c==1)
											   {
											    $color="#0d0d0d";
												$c=$c-2;
											   }
											   if($c==0)
											   {
											    $color="#585858";
											   }
											                ?>
															<table align="center" style="background:<?echo $color?>; color: #ffffff;font: 12px sans-serif;" width="100%">
											                 <tr>
															     <td>
																     <b><?echo $ressql[5]." ".$ressql[1]?></b>
														         </td>											 
															     <td>
																     Con un precio de <b>$<?echo $totapagar?> USD</b>.
																 </td>
																 <td align="right">
																	     <a href="javascript:asignar('<?echo $ressql[5]?>','<?echo $ressql[1]?>',<?echo $ressql['id_departamento']?>,'<?echo $totapagar?>');" target="_self"><img src="images/asignar.png" style="border:0;"/></a>
																 </td>
															 </tr>
															 </table>	
                                                             <?
                                               											  
											      
											       $corrprop3=$corrprop3.$corr3;
												   $corrproping3=$corrproping3.$corring3;
												   
										  //echo "DEPARTAMENTOS DISPONIBLES ".$ressql[4]." ".$ressql[1].$ressql[0]."<hr>"; 
													}
											      }
							                  }
                                             ?>
											<table align="center"style="background:#8A0868; color: #ffffff;font: 12px sans-serif;" width="100%">
											     <tr>
												    <td align="center"></td>
												 </tr>
											</table>
											<?											  
//////////////////////////////////////////////////////////////////////////////////////////////////				   			
                }
				if($cc=="cc")
				{
				 $propiedad=4;
				 $sql1p="SELECT id_departamento FROM departamentos WHERE id_complejo = '$propiedad' ";
				 $ejesql1p=mysql_query($sql1p);
				 $j=0;
				 while($resejesql1p=mysql_fetch_array($ejesql1p)){
				    $dep1p4[]=$resejesql1p[0];
					$j++;
				 }
				 //DESGLOSA RANGO DE FECHAS INTRODUCIDAS POR EL CLIENTE
					  $fechainiformcliente = $fechainicial;
					  $fechafinformcliente = $fechafinal;

					  for($i=$fechainiformcliente;$i<=$fechafinformcliente;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
					     $fecharangocliente4[]=$i;
						}
						$y=0;
						$x=0;
						do{
						    $dep1p4[$y];
							$totrentas=count($dep1p4[$y]);
							$totdeprentas=$totdeprentas+$totrentas;
							$sqlocupado="SELECT count(id_departamento),dia_inicio,dia_salida FROM rentas WHERE id_departamento='$dep1p4[$y]' group by id_departamento";
							$ejesqlocupado=mysql_query($sqlocupado);
							while($resejesqlocupado=mysql_fetch_array($ejesqlocupado)){
								 $resejesqlocupado[0].$resejesqlocupado[1].$resejesqlocupado[2];
								 $totdepartamentos=$resejesqlocupado[0];
								 $departamentos[]=$resejesqlocupado[0];
						        }
							$y++;
							$x++;
						}while($y<=$j || $x<=$i);
						 //TERMINA DESGLOSE RANGO DE FECHAS INTRODUCIDAS POR EL CLIENTE
						//echo $totdeprentas;
						for($y=0;$y<=$totdeprentas;$y++){
						    $sqldesg="SELECT id_departamento,dia_inicio,dia_salida FROM rentas WHERE id_departamento='$dep1p4[$y]'";
							$ejesqldesg=mysql_query($sqldesg);
							$resejesqldesg=mysql_fetch_array($ejesqldesg);
							//$resejesqldesg[0].$resejesqldesg[1].$resejesqldesg[2];
							
							$fechamasuno=$resejesqldesg[1];
							$fechamenosuno=$resejesqldesg[2];
							

						     
								//salida: 04/02/2008
								//echo sumaDia('30/01/2008',-5);
								//salida: 25/01/2008
							
							//$ids4[]=$resejesqldesg[0];
							$fechaunobd=date("Y-m-d",strtotime( "$fechamasuno +1 DAY"));
							$fechadosbd=date("Y-m-d",strtotime( "$fechamenosuno -1 DAY"));
							//$fechadosbd=$resejesqldesg[2];
							
							for($i=$fechaunobd;$i<=$fechadosbd;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
							    $fecharangobd4[]=$i;
								$ids4[]=$resejesqldesg[0];
								}
						   }
						   
						   
						   //CUENTA ARREGLOS
						   for($a=0;$a<=1460;$a++)
							   {
								$totidse=count($fecharangocliente4[$a]);
								$totar1=$totar1 + $totidse;
								$totids=count($fecharangobd4[$a]);
								$totar2=$totar2 + $totids; 
							   }
								$totar1;
								$totar2;

								if($totar1>$totar2)
								    $ta=$totar1;
								if($totar1<$totar2)
									$ta=$totar2;   
								if($totar1==$totar2)
									$ta=$totar1;

							    for($m=0;$m<$ta;$m++)
									{
									 for($n=0;$n<$ta;$n++){
										if(($fecharangocliente4[$n]==$fecharangobd4[$m])){
										   //echo $fecharangocliente4[$n]."--".$fecharangobd4[$m]."<br>";
										   $datoss4[]=$ids4[$m];
										   
									       $datos;
							               $ids4[$m];
										   //echo "**".$fecharangocliente4[$n]."**--".$fecharangobd4[$m]."--<br>";
										   $sql="SELECT id_departamento,clave,rec,descripcion from departamentos where id_departamento='$ids4[$m]' group by id_departamento";
										   $ejecutaconsulta=mysql_query($sql);
										   $reg=mysql_fetch_array($ejecutaconsulta);
										   //echo $reg[1];
										  }else{
										     $datoss4[]=0;
										  }
										}
                                    }		
								
								$datoss4 = array_unique($datoss4);
								foreach($datoss4 as $key => $value4){
								          $idsrentados4[]=$value4;
									      $value4;
										  $sql="SELECT d.id_departamento,d.clave,d.descripcion,d.foto,r.id_departamento,r.dia_inicio,r.dia_salida,c.nombre from departamentos d,rentas r,complejo c where d.id_departamento='$value4' and d.id_departamento=r.id_departamento and d.id_complejo=c.id_complejo";
										  $ejecons=mysql_query($sql);
										  if($reg=mysql_num_rows($ejecons)>0){
										  $ressql=mysql_fetch_array($ejecons);
										  
										 if($_GET['lengua']=="espanol" or $_GET['lengua']=="") { echo "EL DEPARTAMENTO ".$ressql[7]." ".$ressql[1]." POR AHORA NO ESTA DISPONIBLE ESTA RENTADO DEL <br>".$ressql[5]." AL ".$ressql[6]."<br><hr>"; } else if($_GET['lengua']=="ingles") { echo "DEPARTMENT ".$ressql[7]." ".$ressql[1]." NOW IS NOT AVAILABLE FOR THIS INCOME <br>".$ressql[5]." TO ".$ressql[6]."<br><hr>"; } 
										  
										  
												}
											}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////											
											//consulta que cuenta el numero de departamentos de cada propiedad o complejo
											 $sql="select count(id_complejo) from departamentos where id_complejo = '$propiedad' group by id_complejo";
											 $ejesql=mysql_query($sql);
											 $totdepas=mysql_fetch_array($ejesql);
											 $totaldepas=$totdepas[0];
											 ////consulta que cuenta el numero de departamentos de cada propiedad o complejo que estan libres
											 $sqldeplibres="select count(id_complejo) from departamentos where id_complejo = '$propiedad' AND status='libre' group by id_complejo";
											 $ejesqldeplibres=mysql_query($sqldeplibres);
											 $totdepasdeplibres=mysql_fetch_array($ejesqldeplibres);
											 $totaldepasdeplibres=$totdepasdeplibres[0];
											 $diflibredesocupado=$totaldepas-$totaldepasdeplibres;
											 
											 //tarifa alta,media,baja,muy baja
											 $tarifa=round((($diflibredesocupado*100)/$totaldepas));
											 if($tarifa>=0 && $tarifa<=35){
											  $tabla="tarifa_muybaja";
											  // echo "muy baja";
											 }
											 if($tarifa>=36 && $tarifa<=60){
											  $tabla="tarifa_baja";
											 //  echo "baja";
											 }
											 if($tarifa>=61 && $tarifa<=85){
											  $tabla="tarifa_media";
											  // echo "media";
											 }
											 if($tarifa>=86 && $tarifa<=100){
											  $tabla="tarifa_alta";
											  // echo "alta";
											 }
											 
											   
//FUNCION PARA CALCULAR LOS DIAS MESES Y AÑOS ENTRE DOS FECHAS DADAS
											 function tiempo_transcurrido4($fecha_nacimiento, $fecha_control) 
													{ 
													 $fecha_actual = $fecha_control;    
													   if(!strlen($fecha_actual)) 
													     { 
														  $fecha_actual = date('d/m/Y'); 
													     } 
 
														   // separamos en partes las fechas  
														   $array_nacimiento = explode ( "/", $fecha_nacimiento );  
														   $array_actual = explode ( "/", $fecha_actual );  
														 
														   $anos =  $array_actual[2] - $array_nacimiento[2]; // calculamos años  
														   $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses  
														   $dias =  $array_actual[0] - $array_nacimiento[0]; // calculamos días  
 
															   //ajuste de posible negativo en $días  
															   if ($dias < 0)  
															   {  
																  --$meses;  
															 
																  //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual  
																  switch ($array_actual[1]) {  
																	 case 1:  
																		$dias_mes_anterior=31; 
																		break;  
																	 case 2:      
																		$dias_mes_anterior=31; 
																		break;  
																	 case 3:   
																		if (bisiesto4($array_actual[2]))  
																		{  
																		   $dias_mes_anterior=29; 
																		   break;  
																		}  
																		else  
																		{  
																		   $dias_mes_anterior=28; 
																		   break;  
																		}  
																	 case 4: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 5: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 6: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 7: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 8: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 9: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 10: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 11: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 12: 
																		$dias_mes_anterior=30; 
																		break;  
																  }  
															 
																  $dias=$dias + $dias_mes_anterior; 
															 
																  if ($dias < 0) 
																  { 
																	 --$meses; 
																	 if($dias == -1) 
																	 { 
																		$dias = 30; 
																	 } 
																	 if($dias == -2) 
																	 { 
																		$dias = 29; 
																	 } 
																  } 
															   } 
 
																   //ajuste de posible negativo en $meses  
																   if ($meses < 0)  
																   {  
																	  --$anos;  
																	  $meses=$meses + 12;  
																   } 
																 
																   $tiempo[0] = $anos; 
																   $tiempo[1] = $meses; 
																   $tiempo[2] = $dias; 
																 
																   return $tiempo; 
																} 
																 
																function bisiesto4($anio_actual){  
																   $bisiesto=false;  
																   //probamos si el mes de febrero del año actual tiene 29 días  
																	 if (checkdate(2,29,$anio_actual))  
																	 {  
																	  $bisiesto=true;  
																   }  
																   return $bisiesto;  
																}  

																 
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////CODIGO DE FECHA 
//CALCULA LOS AÑOS,MESES,SEMANAS Y DIAS DEPENDIENDO DE LA FECHA INICIAL Y FECHA FINAL
					$fechaInicio =$fecha1;
				    $fechaActual = $fecha2;
					$diaInicio = substr($fechaInicio, 0, 2);
					$mesInicio = substr($fechaInicio, 3, 2);
					$anioInicio = substr($fechaInicio, 6, 10);
					$diaActual = substr($fechaActual, 0, 2);
					$mesActual = substr($fechaActual, 3, 2);
					$anioActual = substr($fechaActual, 6, 10);
					/*$b = 0;
					$mes = $mesInicio-1;
					if($mes==2){
						if(($anioActual%4==0 && $anioActual%100!=0) || $anioActual%400==0){
						    $b = 29;
						  }else{
							$b = 28;
							}
					 }
					  else if($mes<=7){
							if($mes==0){
								$b = 31;
								}
								else if($mes%2==0){
										$b = 30;
									   }
										else{
											 $b = 31;
											}
					 }
					  else if($mes>7){
							if($mes%2==0){
							   $b = 31;
							 }
							  else{
								   $b = 30;
								  }
					 }*/
				     if(($anioInicio>$anioActual) || ($anioInicio==$anioActual && $mesInicio>$mesActual) || ($anioInicio==$anioActual && $mesInicio == $mesActual && $diaInicio>$diaActual)){
						if($_GET['lengua']=="espanol" or $_GET['lengua']=="") { echo "La fecha de inicio ha de ser anterior a la fecha Actual"; } else if($_GET['lengua']=="ingles") { echo "The start date must be earlier than current date"; }
					  }else{
						    /*if($mesInicio <= $mesActual){
							  $anios = $anioActual - $anioInicio;
							  if($diaInicio <= $diaActual){
							    $meses = $mesActual - $mesInicio;
								$dies = $diaActual - $diaInicio;
							   }else{
									 if($mesActual == $mesInicio){
										$anios = $anios - 1;
									  }
									   $meses = ($mesActual - $mesInicio - 1 + 12) % 12;
									   $dies = $b-($diaInicio-$diaActual);
									}
							 }else{
								   $anios = $anioActual - $anioInicio - 1;
								   if($diaInicio > $diaActual){
									  $meses = $mesActual - $mesInicio -1 +12;
									  $dies = $b - ($diaInicio-$diaActual);
								     }else{
										   $meses = $mesActual - $mesInicio + 12;
										   $dies = $diaActual - $diaInicio;
										  }
								  }*/
								   $fecha_nacimiento=$fechaInicio; 
								   $fecha_control=$fechaActual; 
 
								   $tiempo = tiempo_transcurrido4($fecha_nacimiento, $fecha_control); 
								   $texto = "$tiempo[0] años con $tiempo[1] meses y $tiempo[2] días"; 
								   //print "".$texto."<br>"; 
								   
								   $anios=$tiempo[0];
								   $meses=$tiempo[1];
								   
								   $semanass=$tiempo[2]/7;
								   $semred=(int)$semanass;
								   $restodias=$tiempo[2]%7;
								   /*if($fechainicial==$fechafinal){
									 $restodias=1;
									}*/
								  /*echo "Años: ".$anios." <br />";
								   echo "Meses: ".$meses." <br />";
								   echo "Noches: ".$dies." <br />";*/
								   
							}
							//TERMINA CALCULO DE FI Y FF DEPENDIENDO DE LAS FECHAS INTRODUCIDAS POR EL USUARIO														
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////																			?>
                                             <table align="center"style="background:#0d0d0d; color: #ffffff;font: 12px sans-serif;" width="100%">
                                             <tr>
															    <td colspan="2" align="center"><img src="http://www.mexicoenrenta.com.mx/turisiscom/images/mexrentlog.jpg" width="100%" height="55"/></td>
											 </tr>
											 </table>
                                            <?
											for($m=0;$m<$totdeprentas;$m++)
											  {
											   $encontrado=false;
											   for($n=0;$n<$totdeprentas;$n++)
												 {
												  if($dep1p4[$m]==$idsrentados4[$n])
													{
													 $encontrado=true;
													 $break;
													}
												 }
							   
												 if($encontrado == false){
											        $dep1p4[$m];
													
										  $sql="SELECT d.id_departamento,d.clave,d.descripcion,d.foto,d.descripcion_ingles,c.nombre,t.id_departamento,t.noche,t.semana,t.mes,t.2a4,t.5a8,t.anual from departamentos d,complejo c,".$tabla." t where d.id_departamento='$dep1p4[$m]' and d.id_complejo=c.id_complejo and d.id_departamento=t.id_departamento";
										  $ejecons=mysql_query($sql);
										  if($reg=mysql_num_rows($ejecons)>0){
										  $ressql=mysql_fetch_array($ejecons);
										  
										  $totnoche=$ressql['noche']*$restodias;
										  $totsemana=$ressql['semana']*$semred;										  
										  
										   if($meses==1){
											 $totmeses=$ressql['mes'];
										    }
										   if($meses>=2 && $meses<=4){
											 $totmeses=$ressql['2a4'];
										    }
										   if($meses>=5 && $meses<=8){
											 $totmeses=$ressql['5a8'];
										    }
										   if($meses>=9 && $meses<=11){
											 $totmeses=$ressql['anual'];
										    }
										  
										    $totanos=$ressql['anual']*$anios;
										    $totapagar=$totnoche+$totsemana+$totmeses+$totanos;
											
											//echo $presupuesto;
											//echo $usd;
											//echo $mxn;
											/*if($usd="dolar"){
											  echo $totdolar=$presupuesto;
											 }
											 if($mxn="mex"){
											  $cotdolar=11.6654;
											  echo $convdolamex=round(($presupuesto/$cotdolar),4);
											  //echo $totalapresupuesto=$convdolamex." <b>MXN</b>";
											 }*/
											 
											 //imagenes
											 if($ressql[3]==""){
											   $imagen="fotosmxr/01.jpg";
											 }
											 if($ressql[3]!=""){
											   $imagen=$ressql[3];
											 }
											 $cantidadmas=$presupuesto * .30;
											 $presu=$presupuesto + $cantidadmas;
											 $ruta='"http://www.mexicoenrenta.com.mx/';
											
											  $c=$c+1;
											  if($c==1)
											   {
											    $color="#0d0d0d";
												$c=$c-2;
											   }
											   if($c==0)
											   {
											    $color="#585858";
											   }
											                ?>
															<table align="center" style="background:<?echo $color?>; color: #ffffff;font: 12px sans-serif;" width="100%">
											                 <tr>
															     <td>
																     <b><?echo $ressql[5]." ".$ressql[1]?></b>
														         </td>											 
															     <td>
																     Con un precio de <b>$<?echo $totapagar?> USD</b>.
																 </td>
																 <td align="right">
																	     <a href="javascript:asignar('<?echo $ressql[5]?>','<?echo $ressql[1]?>',<?echo $ressql['id_departamento']?>,'<?echo $totapagar?>');" target="_self"><img src="images/asignar.png" style="border:0;"/></a>
																 </td>
															 </tr>
															 </table>	
                                                             <?
                                               											  
											     
											       $corrprop4=$corrprop4.$corr4;
												   $corrproping4=$corrproping4.$corring4;
												   
										  //echo "DEPARTAMENTOS DISPONIBLES ".$ressql[4]." ".$ressql[1].$ressql[0]."<hr>"; 
													}
											      }
							                  }
                                             ?>
											<table align="center"style="background:#8A0868; color: #ffffff;font: 12px sans-serif;" width="100%">
											     <tr>
												    <td align="center"></td>
												 </tr>
											</table>
											<?											  
//////////////////////////////////////////////////////////////////////////////////////////////////				   			
                }
				if($tp=="tp")
				{
				 $propiedad=5;
				 $sql1p="SELECT id_departamento FROM departamentos WHERE id_complejo = '$propiedad' ";
				 $ejesql1p=mysql_query($sql1p);
				 $j=0;
				 while($resejesql1p=mysql_fetch_array($ejesql1p)){
				    $dep1p5[]=$resejesql1p[0];
					$j++;
				 }
				 //DESGLOSA RANGO DE FECHAS INTRODUCIDAS POR EL CLIENTE
					  $fechainiformcliente = $fechainicial;
					  $fechafinformcliente = $fechafinal;

					  for($i=$fechainiformcliente;$i<=$fechafinformcliente;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
					     $fecharangocliente5[]=$i;
						}
						$y=0;
						$x=0;
						do{
						    $dep1p5[$y];
							$totrentas=count($dep1p5[$y]);
							$totdeprentas=$totdeprentas+$totrentas;
							$sqlocupado="SELECT count(id_departamento),dia_inicio,dia_salida FROM rentas WHERE id_departamento='$dep1p5[$y]' group by id_departamento";
							$ejesqlocupado=mysql_query($sqlocupado);
							while($resejesqlocupado=mysql_fetch_array($ejesqlocupado)){
								 $resejesqlocupado[0].$resejesqlocupado[1].$resejesqlocupado[2];
								 $totdepartamentos=$resejesqlocupado[0];
								 $departamentos[]=$resejesqlocupado[0];
						        }
							$y++;
							$x++;
						}while($y<=$j || $x<=$i);
						 //TERMINA DESGLOSE RANGO DE FECHAS INTRODUCIDAS POR EL CLIENTE
						//echo $totdeprentas;
						for($y=0;$y<=$totdeprentas;$y++){
						    $sqldesg="SELECT id_departamento,dia_inicio,dia_salida FROM rentas WHERE id_departamento='$dep1p5[$y]'";
							$ejesqldesg=mysql_query($sqldesg);
							$resejesqldesg=mysql_fetch_array($ejesqldesg);
							//$resejesqldesg[0].$resejesqldesg[1].$resejesqldesg[2];
							
							$fechamasuno=$resejesqldesg[1];
							$fechamenosuno=$resejesqldesg[2];
							

						     
								//salida: 04/02/2008
								//echo sumaDia('30/01/2008',-5);
								//salida: 25/01/2008
							
							//$ids5[]=$resejesqldesg[0];
							$fechaunobd=date("Y-m-d",strtotime( "$fechamasuno +1 DAY"));
							$fechadosbd=date("Y-m-d",strtotime( "$fechamenosuno -1 DAY"));
							//$fechadosbd=$resejesqldesg[2];
							
							for($i=$fechaunobd;$i<=$fechadosbd;$i = date("Y-m-d", strtotime($i ."+ 1 days"))){
							    $fecharangobd5[]=$i;
								$ids5[]=$resejesqldesg[0];
								}
						   }
						   
						   
						   //CUENTA ARREGLOS
						   for($a=0;$a<=1460;$a++)
							   {
								$totidse=count($fecharangocliente5[$a]);
								$totar1=$totar1 + $totidse;
								$totids=count($fecharangobd5[$a]);
								$totar2=$totar2 + $totids; 
							   }
								$totar1;
								$totar2;

								if($totar1>$totar2)
								    $ta=$totar1;
								if($totar1<$totar2)
									$ta=$totar2;   
								if($totar1==$totar2)
									$ta=$totar1;

							    for($m=0;$m<$ta;$m++)
									{
									 for($n=0;$n<$ta;$n++){
										if(($fecharangocliente5[$n]==$fecharangobd5[$m])){
										   //echo $fecharangocliente5[$n]."--".$fecharangobd5[$m]."<br>";
										   $datoss5[]=$ids5[$m];
										   
									       $datos;
							               $ids5[$m];
										   //echo "**".$fecharangocliente5[$n]."**--".$fecharangobd5[$m]."--<br>";
										   $sql="SELECT id_departamento,clave,rec,descripcion from departamentos where id_departamento='$ids5[$m]' group by id_departamento";
										   $ejecutaconsulta=mysql_query($sql);
										   $reg=mysql_fetch_array($ejecutaconsulta);
										   //echo $reg[1];
										  }else{
										     $datoss5[]=0;
										  }
										}
                                    }		
								
								$datoss5 = array_unique($datoss5);
								foreach($datoss5 as $key => $value5){
								          $idsrentados5[]=$value5;
									      $value5;
										  $sql="SELECT d.id_departamento,d.clave,d.descripcion,d.foto,r.id_departamento,r.dia_inicio,r.dia_salida,c.nombre from departamentos d,rentas r,complejo c where d.id_departamento='$value5' and d.id_departamento=r.id_departamento and d.id_complejo=c.id_complejo";
										  $ejecons=mysql_query($sql);
										  if($reg=mysql_num_rows($ejecons)>0){
										  $ressql=mysql_fetch_array($ejecons);
										  
										 if($_GET['lengua']=="espanol" or $_GET['lengua']=="") { echo "EL DEPARTAMENTO ".$ressql[7]." ".$ressql[1]." POR AHORA NO ESTA DISPONIBLE ESTA RENTADO DEL <br>".$ressql[5]." AL ".$ressql[6]."<br><hr>"; } else if($_GET['lengua']=="ingles") { echo "DEPARTMENT ".$ressql[7]." ".$ressql[1]." NOW IS NOT AVAILABLE FOR THIS INCOME <br>".$ressql[5]." TO ".$ressql[6]."<br><hr>"; } 
										  
										  
												}
											}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////											
											//consulta que cuenta el numero de departamentos de cada propiedad o complejo
											 $sql="select count(id_complejo) from departamentos where id_complejo = '$propiedad' group by id_complejo";
											 $ejesql=mysql_query($sql);
											 $totdepas=mysql_fetch_array($ejesql);
											 $totaldepas=$totdepas[0];
											 ////consulta que cuenta el numero de departamentos de cada propiedad o complejo que estan libres
											 $sqldeplibres="select count(id_complejo) from departamentos where id_complejo = '$propiedad' AND status='libre' group by id_complejo";
											 $ejesqldeplibres=mysql_query($sqldeplibres);
											 $totdepasdeplibres=mysql_fetch_array($ejesqldeplibres);
											 $totaldepasdeplibres=$totdepasdeplibres[0];
											 $diflibredesocupado=$totaldepas-$totaldepasdeplibres;
											 
											 //tarifa alta,media,baja,muy baja
											 $tarifa=round((($diflibredesocupado*100)/$totaldepas));
											 if($tarifa>=0 && $tarifa<=35){
											  $tabla="tarifa_muybaja";
											  // echo "muy baja";
											 }
											 if($tarifa>=36 && $tarifa<=60){
											  $tabla="tarifa_baja";
											 //  echo "baja";
											 }
											 if($tarifa>=61 && $tarifa<=85){
											  $tabla="tarifa_media";
											  // echo "media";
											 }
											 if($tarifa>=86 && $tarifa<=100){
											  $tabla="tarifa_alta";
											  // echo "alta";
											 }
											 
											 
//FUNCION PARA CALCULAR LOS DIAS MESES Y AÑOS ENTRE DOS FECHAS DADAS
											 function tiempo_transcurrido5($fecha_nacimiento, $fecha_control) 
													{ 
													 $fecha_actual = $fecha_control;    
													   if(!strlen($fecha_actual)) 
													     { 
														  $fecha_actual = date('d/m/Y'); 
													     } 
 
														   // separamos en partes las fechas  
														   $array_nacimiento = explode ( "/", $fecha_nacimiento );  
														   $array_actual = explode ( "/", $fecha_actual );  
														 
														   $anos =  $array_actual[2] - $array_nacimiento[2]; // calculamos años  
														   $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses  
														   $dias =  $array_actual[0] - $array_nacimiento[0]; // calculamos días  
 
															   //ajuste de posible negativo en $días  
															   if ($dias < 0)  
															   {  
																  --$meses;  
															 
																  //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual  
																  switch ($array_actual[1]) {  
																	 case 1:  
																		$dias_mes_anterior=31; 
																		break;  
																	 case 2:      
																		$dias_mes_anterior=31; 
																		break;  
																	 case 3:   
																		if (bisiesto5($array_actual[2]))  
																		{  
																		   $dias_mes_anterior=29; 
																		   break;  
																		}  
																		else  
																		{  
																		   $dias_mes_anterior=28; 
																		   break;  
																		}  
																	 case 4: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 5: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 6: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 7: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 8: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 9: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 10: 
																		$dias_mes_anterior=30; 
																		break;  
																	 case 11: 
																		$dias_mes_anterior=31; 
																		break;  
																	 case 12: 
																		$dias_mes_anterior=30; 
																		break;  
																  }  
															 
																  $dias=$dias + $dias_mes_anterior; 
															 
																  if ($dias < 0) 
																  { 
																	 --$meses; 
																	 if($dias == -1) 
																	 { 
																		$dias = 30; 
																	 } 
																	 if($dias == -2) 
																	 { 
																		$dias = 29; 
																	 } 
																  } 
															   } 
 
																   //ajuste de posible negativo en $meses  
																   if ($meses < 0)  
																   {  
																	  --$anos;  
																	  $meses=$meses + 12;  
																   } 
																 
																   $tiempo[0] = $anos; 
																   $tiempo[1] = $meses; 
																   $tiempo[2] = $dias; 
																 
																   return $tiempo; 
																} 
																 
																function bisiesto5($anio_actual){  
																   $bisiesto=false;  
																   //probamos si el mes de febrero del año actual tiene 29 días  
																	 if (checkdate(2,29,$anio_actual))  
																	 {  
																	  $bisiesto=true;  
																   }  
																   return $bisiesto;  
																}  

																 
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////CODIGO DE FECHA 
//CALCULA LOS AÑOS,MESES,SEMANAS Y DIAS DEPENDIENDO DE LA FECHA INICIAL Y FECHA FINAL
					$fechaInicio =$fecha1;
				    $fechaActual = $fecha2;
					$diaInicio = substr($fechaInicio, 0, 2);
					$mesInicio = substr($fechaInicio, 3, 2);
				    $anioInicio = substr($fechaInicio, 6, 10);
					$diaActual = substr($fechaActual, 0, 2);
					$mesActual = substr($fechaActual, 3, 2);
					$anioActual = substr($fechaActual, 6, 10);
					/*$b = 0;
					$mes = $mesInicio-1;
					if($mes==2){
						if(($anioActual%4==0 && $anioActual%100!=0) || $anioActual%400==0){
						    $b = 29;
						  }else{
							$b = 28;
							}
					 }
					  else if($mes<=7){
							if($mes==0){
								$b = 31;
								}
								else if($mes%2==0){
										$b = 30;
									   }
										else{
											 $b = 31;
											}
					 }
					  else if($mes>7){
							if($mes%2==0){
							   $b = 31;
							 }
							  else{
								   $b = 30;
								  }
					 }*/
				     if(($anioInicio>$anioActual) || ($anioInicio==$anioActual && $mesInicio>$mesActual) || ($anioInicio==$anioActual && $mesInicio == $mesActual && $diaInicio>$diaActual)){
						if($_GET['lengua']=="espanol" or $_GET['lengua']=="") { echo "La fecha de inicio ha de ser anterior a la fecha Actual"; } else if($_GET['lengua']=="ingles") { echo "The start date must be earlier than current date"; }
					  }else{
						    /*if($mesInicio <= $mesActual){
							  $anios = $anioActual - $anioInicio;
							  if($diaInicio <= $diaActual){
							    $meses = $mesActual - $mesInicio;
								$dies = $diaActual - $diaInicio;
							   }else{
									 if($mesActual == $mesInicio){
										$anios = $anios - 1;
									  }
									   $meses = ($mesActual - $mesInicio - 1 + 12) % 12;
									   $dies = $b-($diaInicio-$diaActual);
									}
							 }else{
								   $anios = $anioActual - $anioInicio - 1;
								   if($diaInicio > $diaActual){
									  $meses = $mesActual - $mesInicio -1 +12;
									  $dies = $b - ($diaInicio-$diaActual);
								     }else{
										   $meses = $mesActual - $mesInicio + 12;
										   $dies = $diaActual - $diaInicio;
										  }
								  }*/
								   $fecha_nacimiento=$fechaInicio; 
								   $fecha_control=$fechaActual; 
 
								   $tiempo = tiempo_transcurrido5($fecha_nacimiento, $fecha_control); 
								   $texto = "$tiempo[0] años con $tiempo[1] meses y $tiempo[2] días"; 
								   //print "".$texto."<br>"; 
								   
								   $anios=$tiempo[0];
								   $meses=$tiempo[1];
								   
								   $semanass=$tiempo[2]/7;
								   $semred=(int)$semanass;
								   $restodias=$tiempo[2]%7;
								   /*if($fechainicial==$fechafinal){
									 $restodias=1;
									}*/
								  /*echo "Años: ".$anios." <br />";
								   echo "Meses: ".$meses." <br />";
								   echo "Noches: ".$dies." <br />";*/
								   
							}
							//TERMINA CALCULO DE FI Y FF DEPENDIENDO DE LAS FECHAS INTRODUCIDAS POR EL USUARIO														
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////																			?>
                                             <table align="center"style="background:#0d0d0d; color: #ffffff;font: 12px sans-serif;" width="100%">
                                             <tr>
															    <td colspan="2" align="center"><img src="http://www.mexicoenrenta.com.mx/turisiscom/images/mexrentlog.jpg" width="100%" height="55"/></td>
											 </tr>
											 </table>
                                            <?
											for($m=0;$m<$totdeprentas;$m++)
											  {
											   $encontrado=false;
											   for($n=0;$n<$totdeprentas;$n++)
												 {
												  if($dep1p5[$m]==$idsrentados5[$n])
													{
													 $encontrado=true;
													 $break;
													}
												 }
							   
												 if($encontrado == false){
											        $dep1p5[$m];
													
										  $sql="SELECT d.id_departamento,d.clave,d.descripcion,d.foto,d.descripcion_ingles,c.nombre,t.id_departamento,t.noche,t.semana,t.mes,t.2a4,t.5a8,t.anual from departamentos d,complejo c,".$tabla." t where d.id_departamento='$dep1p5[$m]' and d.id_complejo=c.id_complejo and d.id_departamento=t.id_departamento";
										  $ejecons=mysql_query($sql);
										  if($reg=mysql_num_rows($ejecons)>0){
										  $ressql=mysql_fetch_array($ejecons);
										  
										  $totnoche=$ressql['noche']*$restodias;
										  $totsemana=$ressql['semana']*$semred;									  
										  
										   if($meses==1){
											 $totmeses=$ressql['mes'];
										    }
										   if($meses>=2 && $meses<=4){
											 $totmeses=$ressql['2a4'];
										    }
										   if($meses>=5 && $meses<=8){
											 $totmeses=$ressql['5a8'];
										    }
										   if($meses>=9 && $meses<=11){
											 $totmeses=$ressql['anual'];
										    }
										  
										    $totanos=$ressql['anual']*$anios;
										    $totapagar=$totnoche+$totsemana+$totmeses+$totanos;
											
											//echo $presupuesto;
											//echo $usd;
											//echo $mxn;
											/*if($usd="dolar"){
											  echo $totdolar=$presupuesto;
											 }
											 if($mxn="mex"){
											  $cotdolar=11.6654;
											  echo $convdolamex=round(($presupuesto/$cotdolar),4);
											  //echo $totalapresupuesto=$convdolamex." <b>MXN</b>";
											 }*/
											 
											 //imagenes
											 if($ressql[3]==""){
											   $imagen="fotosmxr/01.jpg";
											 }
											 if($ressql[3]!=""){
											   $imagen=$ressql[3];
											 }
											 $cantidadmas=$presupuesto * .30;
											 $presu=$presupuesto + $cantidadmas;
											 $ruta='"http://www.mexicoenrenta.com.mx/';
											 if($presu=="")
											 {
											 echo $corr="<table align='center'>
											                 <tr>
															     <td>
                                                                    <img src=".$ruta.$imagen.">															 
																 <td>
															 <tr>
														 </table>";
											 } 
											 if($presu < $totapagar)
											 {
											  echo "";
										     }
											 else
											 {
											  $c=$c+1;
											  if($c==1)
											   {
											    $color="#0d0d0d";
												$c=$c-2;
											   }
											   if($c==0)
											   {
											    $color="#585858";
											   }
											                ?>
															<table align="center" style="background:<?echo $color?>; color: #ffffff;font: 12px sans-serif;" width="100%">
											                 <tr>
															     <td>
																     <b><?echo $ressql[5]." ".$ressql[1]?></b>
														         </td>											 
															     <td>
																     Con un precio de <b>$<?echo $totapagar?> USD</b>.
																 </td>
																 <td align="right">
																	     <a href="javascript:asignar('<?echo $ressql[5]?>','<?echo $ressql[1]?>',<?echo $ressql['id_departamento']?>,'<?echo $totapagar?>');" target="_self"><img src="images/asignar.png" style="border:0;"/></a>
																 </td>
															 </tr>
															 </table>	
                                                             <?
                                               								  			  
											       } 
											       $corrprop5=$corrprop5.$corr5;
												   $corrproping5=$corrproping5.$corring5;
												   
										  //echo "DEPARTAMENTOS DISPONIBLES ".$ressql[4]." ".$ressql[1].$ressql[0]."<hr>"; 
													}
											      }
							                  }
                                             ?>
											<table align="center"style="background:#8A0868; color: #ffffff;font: 12px sans-serif;" width="100%">
											     <tr>
												    <td align="center"></td>
												 </tr>
											</table>
											<?											  
//////////////////////////////////////////////////////////////////////////////////////////////////				   			
                }
?> 